# TMCstrstream Class Reference
[MCCore]

Reads/writes from/into a memory buffer. More...

Inheritance diagram for TMCstrstream:

List of all members.

## Public Member Functions
| TMCstrstream (TranscoderType type)
| TMCstrstream (const TMCDynamicString &str, TranscoderType type)
| TMCstrstream (int8 *string, TranscoderType type)
| TMCstrstream (int8 *start, int32 size, TranscoderType type, int mode=TMCiostream::in)
| ~TMCstrstream ()
int8 * | str ()
const int8 * | Cstr ()
int32 | pcount () const
virtual int32 | tell ()
virtual void | seek (int32 off, seek_dir dir=beg)
virtual void | putback (int8 c)
| can only be used on (some) input streams
virtual void | read (int8 *s, int32 n)
virtual void | write (const int8 *s, int32 n)
virtual void | get (int8 &c)
int32 | GetSize ()
## Protected Member Functions
virtual void | FlushBuffer ()
## Protected Attributes
int8 * | fBuffer
int32 | fBufferSize
int32 | fBufferAllocatedSize
int8 * | fCur
int8 * | fOwnBuffer

## Detailed Description

Reads/writes from/into a memory buffer.

## Constructor & Destructor Documentation

TMCstrstream::TMCstrstream | ( | TranscoderType | type | ) |

TMCstrstream::TMCstrstream | ( | const TMCDynamicString & | str,
|  | TranscoderType | type |
| ) |  |  |

TMCstrstream::TMCstrstream | ( | int8 * | string,
|  | TranscoderType | type |
| ) |  |  |

TMCstrstream::TMCstrstream | ( | int8 * | start,
|  | int32 | size,
|  | TranscoderType | type,
|  | int | mode = `TMCiostream::in` |
| ) |  |  |

TMCstrstream::~TMCstrstream | ( |  | ) |

## Member Function Documentation

const int8* TMCstrstream::Cstr | ( |  | ) | `[inline]`

virtual void TMCstrstream::FlushBuffer | ( |  | ) | `[protected, virtual]`

virtual void TMCstrstream::get | ( | int8 & | c | ) | `[virtual]`

Reimplemented from TMCiostream.

int32 TMCstrstream::GetSize | ( |  | ) |

int32 TMCstrstream::pcount | ( |  | ) | const

virtual void TMCstrstream::putback | ( | int8 | c | ) | `[virtual]`

can only be used on (some) input streams

Implements TMCiostream.

virtual void TMCstrstream::read | ( | int8 * | s,
|  | int32 | n |
| ) |  |  | `[virtual]`

Implements TMCiostream.

virtual void TMCstrstream::seek | ( | int32 | off,
|  | seek_dir | dir = `beg` |
| ) |  |  | `[virtual]`

Implements TMCiostream.

int8* TMCstrstream::str | ( |  | ) |

virtual int32 TMCstrstream::tell | ( |  | ) | `[virtual]`

Implements TMCiostream.

virtual void TMCstrstream::write | ( | const int8 * | s,
|  | int32 | n |
| ) |  |  | `[virtual]`

Implements TMCiostream.

## Member Data Documentation

int8* TMCstrstream::fBuffer`[protected]`

int32 TMCstrstream::fBufferAllocatedSize`[protected]`

int32 TMCstrstream::fBufferSize`[protected]`

int8* TMCstrstream::fCur`[protected]`

int8* TMCstrstream::fOwnBuffer`[protected]`

The documentation for this class was generated from the following file:

- MCStream.h